From: [email-masked] (Mi Mi)
Date: Mon, 27 Sep 93 23:56:14 CDT

Q&A: (update on September 27, 1993)
 
Q: Is there any time windows for lads?                
 
A: It depends what category you are talking about, and what 
   kind of lads you are dealing with.
   
   For EB-3, there is a time window. Unless the priority date
   for this particular month is current, or the priority date
   is later than your own priority date, you can not apply.
   Since September's priority date is current, so every CSPA
   principal can apply EB-3 for their lads. Next month, however,
   the priority date has rolled back to July 1. So if your 
   priority date is, say, August 1, then you must wait in 
   October. So it is highly recommended you file ASAP in 
   September.
 
   For FB-2, there is no time window. Once you get your approval
   notice, you can apply for your lads. The date INS receives 
   your application, is the priority date for your lads. So it 
   is highly recommended you file ASAP once you receive your
   approval notice.
 
   For lads in US, we have DED and Non-DED lads. DED lads 
   problem has not been fully solved. Some INS local offices
   accept DED lads application, some do not. This is quite
   complicated. For Non-DED, you can file in September, since
   it is current. For those principals with approval notices
   saying their priority date is July 1, Mi Mi believes they
   can still file in October. But if there is no particular
   reason to wait a while, why not do it NOW? You are not 
   required to submit a complete package when you file.

   For lads in China, it is different. You can file I-824 for
   them once you get your approval notice. But who knows how
   long they have to wait inside China to be granted a visa?   
   If you managed to obtain nonimmigration visas for them, just
   let them come here. 

Q: Can I chose which category to use?    

A: You can choose whichever category to use, either EB-3 or FB-2 or both
   of them. There is no penalty for doing both, except to your wallets.
   It is up to you to choose which category to apply, and it is up to 
   INS to determine for which category you are eligible. So it is 
   possible that by doing both, your lads will get two priority dates.
   Of course your lads can only be approved once, but they may have 
   two chances.

Q: What shall I do when I get my approval notice? 

A: Make a copy of it and a copy of your lads' I-485 receipt notice,
   and mail them or hand them in to the INS office which takes care
   of your lads' I-485 application. Remember your approval is the
   prerequisite for your lads' eligibility for PR. It will be 
   ridiculous that your lads get approved while you are rejected!
 
Q: What is the usefulness of our Lads-Net World-Quota-Campaign?

A: Our world quota campaign, can save lads in many ways. It
   can cut off the waiting time both in China and in U.S., and
   save China's quotas for late-arriving-students. Since there
   is no ceiling for us (the projected 25,000 for 1994 was 
   totally groundless, according to the telephone conversation
   between Mi Mi and IFCSS HQ official), it is quite possible
   a huge chunk of 94's world-wide EB-3 will be wasted. So the 
   chance for us is quite good: since we are not hurting anybody
   by using that leftover up, we will not have much resistance.
   The only problem is, how we can organize ourselves and launch
   a successful campaign to grasp that opportunity. Think about
   this!
 
Q: What is the progress of our Lads-Net petition campaign?

A: Up to September 26, we have collected 1,564 signatures. We are sending
   our petition letters in waves to the six U.S. Government and 
   Congressional officials. Up to now, Mi Mi Sr. has sent two waves of 
   letters: one with 524, and one with 510 signatures respectively. The 
   third round will be sent out as soon as Mi Mi gets enough paper for
   his laser-printer. Each letter takes approximately 20 pages, and each
   fax takes about 23 minutes. 

   Other members of the committee also sent their copies of collective 
   petition letters carrying the signatures from the net, and some netters
   have sent their individual versions. Mi Mi has not checked how many 
   have been sent. Those who did it please drop a line to 
   [email-masked].

   Mi Mi has not received any response from U.S. Government or Congressional 
   officials. We have to push them all the way to the solution. So please 
   help us to collect more and more signatures, and keep the pressure on.
   Remember to lobby means money, lots of momey. We LADs-Net Committee
   do not have any. So the only feasible way to push LADs related issue, 
   is to write petition letters. If we do not do it, no one does. Of course
   IFCSS and NCCA are still working, but the LADs are yours, you should 
   worry more!
 
Mi Mi Sr.
Member of Lads-Net Committee
   
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mr. Mi Mi, Sr., An Old Mice Chasing Dog, with Mi Mi Jr.,    %
%    A kitten born in the year of mice.                       %               
% To sign on/off Lads-Net News, pleas send an email to        %
%    [email-masked], with mailbody as:               %
%    sub lads-l Firstname Lastname, or signoff lads-l         %
% To post, send your message to [email-masked]         %
% To retrieve past packages, anonymous ftp at spike.rice.edu  %
%    at file /lads/9308lads.log and 9309lads.log              %
% To sign our petition letter, please send your signatures to %
%    [email-masked], the prefered form is:           %
% Mr/Ms/Miss.Name,Number and Street,City,State,ZipCode,phone# %
%    Co-signed Spouse, Mr/Ms/Miss.Name,                       %
%    Co-signed Child,  Mr/Ms/Miss.Name                        %
% You are encouraged to send your own copies of the petition  %
%    letter to the U.S. officials. When you do, please drop   %
%    a line to [email-masked]                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%